/*
 * Intel ACPI Component Architecture
 * AML Disassembler version 20140214-64 [Mar 29 2014]
 * Copyright (c) 2000 - 2014 Intel Corporation
 * 
 * Disassembly of ./ssdt.dat, Tue Dec 15 15:19:56 2015
 *
 * Original Table Header:
 *     Signature        "SSDT"
 *     Length           0x00000700 (1792)
 *     Revision         0x02
 *     Checksum         0x18
 *     OEM ID           "CORE  "
 *     OEM Table ID     "COREBOOT"
 *     OEM Revision     0x0000002A (42)
 *     Compiler ID      "CORE"
 *     Compiler Version 0x0000002A (42)
 */
DefinitionBlock ("./ssdt.aml", "SSDT", 2, "CORE  ", "COREBOOT", 0x0000002A)
{

    External (PPCM, IntObj)
    External (TLVL, IntObj)

    Processor (\_PR.CP00, 0x00, 0x00000400, 0x06)
    {
        Name (_PCT, Package (0x02)  // _PCT: Performance Control
        {
            ResourceTemplate ()
            {
                Register (FFixedHW, 
                    0x00,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000000000000, // Address
                    ,)
            }, 

            ResourceTemplate ()
            {
                Register (FFixedHW, 
                    0x00,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000000000000, // Address
                    ,)
            }
        })
        Method (_PPC, 0, NotSerialized)  // _PPC: Performance Present Capabilites
        {
            Return (PPCM)
        }

        Name (_PSD, Package (0x01)  // _PSD: Power State Dependencies
        {
            Package (0x05)
            {
                0x05, 
                0x00, 
                0x00000000, 
                0x000000FE, 
                0x00000001
            }
        })
        Name (_PSS, Package (0x07)  // _PSS: Performance Supported States
        {
            Package (0x06)
            {
                0x00000535, 
                0x000251C0, 
                0x0000000A, 
                0x0000000A, 
                0x00000A37, 
                0x00000A37
            }, 

            Package (0x06)
            {
                0x000004AF, 
                0x00020FF6, 
                0x0000000A, 
                0x0000000A, 
                0x00000935, 
                0x00000935
            }, 

            Package (0x06)
            {
                0x0000042A, 
                0x0001D013, 
                0x0000000A, 
                0x0000000A, 
                0x00000833, 
                0x00000833
            }, 

            Package (0x06)
            {
                0x000003A5, 
                0x0001917E, 
                0x0000000A, 
                0x0000000A, 
                0x00000730, 
                0x00000730
            }, 

            Package (0x06)
            {
                0x0000031F, 
                0x000153DC, 
                0x0000000A, 
                0x0000000A, 
                0x0000062E, 
                0x0000062E
            }, 

            Package (0x06)
            {
                0x0000029A, 
                0x000117F4, 
                0x0000000A, 
                0x0000000A, 
                0x0000052C, 
                0x0000052C
            }, 

            Package (0x06)
            {
                0x00000215, 
                0x0000DD59, 
                0x0000000A, 
                0x0000000A, 
                0x00000429, 
                0x00000429
            }
        })
        Name (_CST, Package (0x04)  // _CST: C-States
        {
            0x00000003, 
            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (FFixedHW, 
                        0x01,               // Bit Width
                        0x02,               // Bit Offset
                        0x0000000000000000, // Address
                        0x01,               // Access Size
                        )
                }, 

                0x00000001, 
                0x00000001, 
                0x000003E8
            }, 

            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (FFixedHW, 
                        0x01,               // Bit Width
                        0x02,               // Bit Offset
                        0x0000000000000051, // Address
                        0x01,               // Access Size
                        )
                }, 

                0x00000002, 
                0x000001F4, 
                0x0000000A
            }, 

            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (FFixedHW, 
                        0x01,               // Bit Width
                        0x02,               // Bit Offset
                        0x0000000000000052, // Address
                        0x01,               // Access Size
                        )
                }, 

                0x00000003, 
                0x000005DC, 
                0x0000000A
            }
        })
        Name (_TSD, Package (0x01)  // _TSD: Throttling State Dependencies
        {
            Package (0x05)
            {
                0x05, 
                0x00, 
                0x00000000, 
                0x000000FC, 
                0x00000002
            }
        })
        Name (_PTC, Package (0x02)  // _PTC: Processor Throttling Control
        {
            ResourceTemplate ()
            {
                Register (FFixedHW, 
                    0x00,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000000000000, // Address
                    ,)
            }, 

            ResourceTemplate ()
            {
                Register (FFixedHW, 
                    0x00,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000000000000, // Address
                    ,)
            }
        })
        Method (_TPC, 0, NotSerialized)  // _TPC: Throttling Present Capabilities
        {
            Return (\TLVL)
        }

        Name (_TSS, Package (0x08)  // _TSS: Throttling Supported States
        {
            Package (0x05)
            {
                0x00000064, 
                0x000003E8, 
                0x00000000, 
                0x00000000, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000058, 
                0x0000036B, 
                0x00000000, 
                0x0000001E, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x0000004B, 
                0x000002EE, 
                0x00000000, 
                0x0000001C, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x0000003F, 
                0x00000271, 
                0x00000000, 
                0x0000001A, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000032, 
                0x000001F4, 
                0x00000000, 
                0x00000018, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000026, 
                0x00000177, 
                0x00000000, 
                0x00000016, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000019, 
                0x000000FA, 
                0x00000000, 
                0x00000014, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x0000000D, 
                0x0000007D, 
                0x00000000, 
                0x00000012, 
                0x00000000
            }
        })
    }

    Processor (\_PR.CP01, 0x01, 0x00000000, 0x00)
    {
        Name (_PCT, Package (0x02)  // _PCT: Performance Control
        {
            ResourceTemplate ()
            {
                Register (FFixedHW, 
                    0x00,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000000000000, // Address
                    ,)
            }, 

            ResourceTemplate ()
            {
                Register (FFixedHW, 
                    0x00,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000000000000, // Address
                    ,)
            }
        })
        Method (_PPC, 0, NotSerialized)  // _PPC: Performance Present Capabilites
        {
            Return (PPCM)
        }

        Name (_PSD, Package (0x01)  // _PSD: Power State Dependencies
        {
            Package (0x05)
            {
                0x05, 
                0x00, 
                0x00000001, 
                0x000000FE, 
                0x00000001
            }
        })
        Name (_PSS, Package (0x07)  // _PSS: Performance Supported States
        {
            Package (0x06)
            {
                0x00000535, 
                0x000251C0, 
                0x0000000A, 
                0x0000000A, 
                0x00000A37, 
                0x00000A37
            }, 

            Package (0x06)
            {
                0x000004AF, 
                0x00020FF6, 
                0x0000000A, 
                0x0000000A, 
                0x00000935, 
                0x00000935
            }, 

            Package (0x06)
            {
                0x0000042A, 
                0x0001D013, 
                0x0000000A, 
                0x0000000A, 
                0x00000833, 
                0x00000833
            }, 

            Package (0x06)
            {
                0x000003A5, 
                0x0001917E, 
                0x0000000A, 
                0x0000000A, 
                0x00000730, 
                0x00000730
            }, 

            Package (0x06)
            {
                0x0000031F, 
                0x000153DC, 
                0x0000000A, 
                0x0000000A, 
                0x0000062E, 
                0x0000062E
            }, 

            Package (0x06)
            {
                0x0000029A, 
                0x000117F4, 
                0x0000000A, 
                0x0000000A, 
                0x0000052C, 
                0x0000052C
            }, 

            Package (0x06)
            {
                0x00000215, 
                0x0000DD59, 
                0x0000000A, 
                0x0000000A, 
                0x00000429, 
                0x00000429
            }
        })
        Name (_CST, Package (0x04)  // _CST: C-States
        {
            0x00000003, 
            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (FFixedHW, 
                        0x01,               // Bit Width
                        0x02,               // Bit Offset
                        0x0000000000000000, // Address
                        0x01,               // Access Size
                        )
                }, 

                0x00000001, 
                0x00000001, 
                0x000003E8
            }, 

            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (FFixedHW, 
                        0x01,               // Bit Width
                        0x02,               // Bit Offset
                        0x0000000000000051, // Address
                        0x01,               // Access Size
                        )
                }, 

                0x00000002, 
                0x000001F4, 
                0x0000000A
            }, 

            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (FFixedHW, 
                        0x01,               // Bit Width
                        0x02,               // Bit Offset
                        0x0000000000000052, // Address
                        0x01,               // Access Size
                        )
                }, 

                0x00000003, 
                0x000005DC, 
                0x0000000A
            }
        })
        Name (_TSD, Package (0x01)  // _TSD: Throttling State Dependencies
        {
            Package (0x05)
            {
                0x05, 
                0x00, 
                0x00000001, 
                0x000000FC, 
                0x00000002
            }
        })
        Name (_PTC, Package (0x02)  // _PTC: Processor Throttling Control
        {
            ResourceTemplate ()
            {
                Register (FFixedHW, 
                    0x00,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000000000000, // Address
                    ,)
            }, 

            ResourceTemplate ()
            {
                Register (FFixedHW, 
                    0x00,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000000000000, // Address
                    ,)
            }
        })
        Method (_TPC, 0, NotSerialized)  // _TPC: Throttling Present Capabilities
        {
            Return (\TLVL)
        }

        Name (_TSS, Package (0x08)  // _TSS: Throttling Supported States
        {
            Package (0x05)
            {
                0x00000064, 
                0x000003E8, 
                0x00000000, 
                0x00000000, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000058, 
                0x0000036B, 
                0x00000000, 
                0x0000001E, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x0000004B, 
                0x000002EE, 
                0x00000000, 
                0x0000001C, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x0000003F, 
                0x00000271, 
                0x00000000, 
                0x0000001A, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000032, 
                0x000001F4, 
                0x00000000, 
                0x00000018, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000026, 
                0x00000177, 
                0x00000000, 
                0x00000016, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x00000019, 
                0x000000FA, 
                0x00000000, 
                0x00000014, 
                0x00000000
            }, 

            Package (0x05)
            {
                0x0000000D, 
                0x0000007D, 
                0x00000000, 
                0x00000012, 
                0x00000000
            }
        })
    }
}

